var CommandGenerator = {
	// CommandGenerator.Animate - Go through the frames in the current direction
	// ==========================================================================
	// This doesn't actually generate commands, because
	// the animate command is awkward and doesn't time properly.
	// I don't know why so I just made it change frames.
	Animate: function(speed)
	{										
		if (!speed) speed = 1;
		var person = GetCurrentPerson();
		var count = GetPersonValue(person, "animate_current");
		count++;
		var delay = GetPersonValue(person, "animate_delay");
		if (!delay)
		{
			var spriteset = GetPersonSpriteset(person);
			var direction = Scene._FindSpritesetDirection(spriteset, GetPersonDirection(person));
			delay = direction.frames[GetPersonFrame(person)].delay / speed;
			SetPersonValue(person, "animate_delay", delay);
		}
		if (count >= delay)
		{
			count = 0;
			SetPersonValue(person, "animate_delay", 0);
			var frame = GetPersonFrame(person) + 1;
			SetPersonFrame(person, (frame == GetPersonValue(person, "num_frames")) ? 0 : frame);
		}
		SetPersonValue(person, "animate_current", count);
	}
}