var Common = {
	LoadingIcon: LoadImage("loading-icon.png"),
	LoadingIcon2: LoadImage("loading-icon-2.png"),
	Selector: LoadImage("selector.png"),
	ATBBar: LoadImage("atb-bar.png"),
	ATBFill: LoadImage("atb-fill.png"),
	ATBFull: LoadImage("atb-full.png"),
	HP: LoadImage("hp.png"),
	Cursor: LoadImage("cursor.png"),
	CursorR: LoadImage("cursorr.png"),
	Presents: LoadImage("presents.png")
};

function Random(min, max)
{
	return Math.floor(Math.random() * (max - min + 1)) + min;
}

function PadLeft(str, len, w)
{
	str = new String(str);
	while (str.length < len)
	{
		str = w + str;
	}
	return str;
}

function LineRectangle(x, y, w, h, c)
{
	Line(x, y, x + w, y, c);
	Line(x, y, x, y + h, c);
	Line(x + w, y, x + w, y + h + 1, c);
	Line(x, y + h, x + w, y + h, c);
}

function RunScript(s, rt, ScriptArguments)
{
	var file = OpenRawFile(s);
	if (!rt)
		eval("s = " + CreateStringFromByteArray(file.read(file.getSize())));
	else
		s = eval(CreateStringFromByteArray(file.read(file.getSize())));
	return s;
}

function LoadScreen(m, t, text, sb)
{
	var w1 = CreateColor(255, 255, 255, 190);
	var w2 = CreateColor(255, 255, 255, 50);
	//Common.Presents.blit(0, 0);
	Common.LoadingIcon.blit(16, 19);
	if (sb)
	{
		GradientRectangle(80, 20, 224, 4, w2, w1, w1, w2);
		y = 26;
	}
	else
	{
		y = 20;
	}
	GradientRectangle(80, y, 224 * (m/ t), 4, w2, w1, w1, w2);
	if (Font && text)
	{
		Font.Message.drawText(16, 208, text);
	}
}