function Cursor(x, y)
{
	this.x = x;
	this.y = y;
	this.MoveX = x;
	this.MoveY = y;
	this.IncX = 0;
	this.IncY = 0;
	this.FrameCount = 0;
	this.FrameTotal = 0;
	this.MoveTo = function(x, y, frames)
	{
		this.IncX = (x - this.x) / frames;
		this.IncY = (y - this.y) / frames;
		this.MoveX = x;
		this.MoveY = y;
		this.FrameCount = 0;
		this.FrameTotal = frames;
	}
	this.Update = function()
	{
		if (this.x != this.MoveX || this.y != this.MoveY)
		{
			this.x += this.IncX;
			this.y += this.IncY;
			this.FrameCount++;
			if (this.FrameCount == this.FrameTotal)
			{
				this.x = this.MoveX;
				this.y = this.MoveY;
			}
		}
	}
	this.Render = function()
	{
		Common.Cursor.blit(this.x, this.y);
	}
}