function DamageNumbers(n, target)
{
	this.Number = new String(n);
	this.Target = target;
	this.xoff = Font.BattleSpecial.getStringWidth(this.Number) / 2;
	this.CharacterIndex = 0;
	this.PosArray = [4, 3, 2, 1, 0, -1, -1, -2, -2, -1, -1, 0];
	this.PosIndex = [];
	this.WaitBetween = 5;
	this.CurrentWait = 0;
	this.Frames = 0;
	this.Mode = 'i';
	this.Mask = CreateColor(255, 255, 255, 255);
	this.Alpha = 255;
	this.Update = function()
	{
		if (this.Mode == 'i')
		{
			this.Frames++;
			if (this.Frames > 5)
			{
				this.CurrentWait++;
				if (this.CurrentWait == this.WaitBetween)
				{
					this.PosIndex.push(0);
					this.CurrentWait = 0;
				}
				
				for (var i = 0; i < this.PosIndex.length; i++)
				{
					if (this.PosIndex[i] < this.PosArray.length - 1)
					{
						this.PosIndex[i]++;
					}
				}
				if (this.Frames == 80)
				{
					this.Mode = 'f';
				}
			}
		}
		else if (this.Mode == 'f')
		{
			this.Alpha -= 18;
			if (this.Alpha <= 0)
			{
				this.Completed = true;
				this.Mode = 'c';
			}
			else
			{
				this.Mask.alpha = this.Alpha;
			}
		}	
	}
	this.Render = function()
	{
		if (this.Frames > 5)
		{
			var x = this.Target.GetBaseX() - this.xoff;
			var y = this.Target.GetBaseY();
			Font.BattleSpecial.setColorMask(this.Mask);
			for (var i = 0; i < this.PosIndex.length; i++)
			{
				Font.BattleSpecial.drawText(x + (i?Font.BattleSpecial.getStringWidth(this.Number.substr(0, i)):0), y + this.PosArray[this.PosIndex[i]], this.Number.substr(i, 1));
			}
		}
	}
}