function Animation(anim, x, y, mask)
{
	this.Anim = anim;
	this.Mask = mask;
	this.x = x;
	this.y = y;
	this.frame = 0;
	this.delay = 0;
	this.Update = function()
	{
		if (!this.Completed)
		{
			this.delay++;
			if (this.delay == this.Anim.directions[0].frames[this.frame].delay)
			{
				this.delay = 0;
				this.frame++;
				if (this.frame >= this.Anim.directions[0].frames.length)
				{
					this.Completed = true;
				}
			}
		}
	}
	this.Render = function()
	{
		if (!this.Completed)
		{
			if (this.Mask)
				this.Anim.images[this.Anim.directions[0].frames[this.frame].index].blitMask(this.x, this.y, this.Mask);
			else
				this.Anim.images[this.Anim.directions[0].frames[this.frame].index].blit(this.x, this.y);
		}
	}
}