function Attack(data)
{
	this.Name = data.Name;
	this.AllowAll = data.AllowAll;
	this.AttackPower = data.AttackPower;
	this.MPCost = data.MPCost;
	this.HitPcnt = data.HitPcnt;
	this.Element = data.Element;
	this.Reflectable = data.Reflectable;
	this.Data = data;
	this.Target = data.Target;
	this.AbilityType = data.AbilityType;
	this.Type = data.Type;
	this.LeadUp = true;
	this.ShowName = data.ShowName;
	this.Animations = [];
	for (var i = 0; i < data.Animations.length; i++)
	{
		this.Animations.push(LoadSpriteset(data.Animations[i]));
	}
	this.DamageFormula = data.DamageFormula;	
	this.TriggerScript = function(s, ScriptArguments)
	{
		if (this.Data.Scripts && this.Data.Scripts[s])
			return RunScript("../data/attacks/" + this.Data.Scripts[s], true, ScriptArguments);
		return null;
	}
	this.CalculateDamage = function(ScriptArguments)
	{
		return RunScript("../data/damage/" + this.DamageFormula, true, ScriptArguments);
	}
	this.Invoke = function(caster, target)
	{
		this.TriggerScript("Invoke", {CurrentAttack: this, Source: caster, Target: target});
	}
}