var Data = {
	//Log: OpenLog("datalog.txt"),
	Load: function(file)
	{
	
		return RunScript("../data/" + file);
	
		if (compressed) var f = new Decompress("../data/" + file);
		else var f = OpenRawFile("../data/" + file);
		this._EatWhiteSpace(f);
		var object = {};
		while (f.getPosition() < f.getSize())
		{
			this._EatWhiteSpace(f);
			var n = this._ReadUntilWhitespace(f);
			this._EatWhiteSpace(f);
			object[n] = this._LoadObject(f);
		}
		return object;
	},
	
	_LoadObject: function(file)
	{
		this._EatWhiteSpace(file);
		var fc = this._ReadStr(file, 1);
		switch (fc)
		{
			case "'":
			case "\"":
				var value = "";
				var bs = false;
				while ((bs && (c = this._ReadStr(file, 1))) || (!bs && (c = this._ReadStr(file, 1)) != fc))
				{
					if (bs)
					{
						switch (c)
						{
							case "\"":
								value += "\"";
								break;
							case "'":
								value += "'";
								break;
							default:
								value += "\\" + c;
						}
						bs = false;
					}
					else
					{
						if (c == "\\")
						{
							bs = true;
						}
						else
						{
							value += c;
						}
					}
					if (file.getPosition() >= file.getSize())
					{
						file.setPosition(0);
						Abort("error reading string:\n" + CreateStringFromByteArray(file.read(file.getSize())));
					}
				}
				this._EatWhiteSpace(file);
				break;
			case "[":
				var value = [];
				this._EatWhiteSpace(file);
				while ((c = this._ReadStr(file, 1)) != "]")
				{
					this._Rewind(file, 1);
					this._EatWhiteSpace(file);
					value.push(this._LoadObject(file));
				}
				this._EatWhiteSpace(file);
				break;
			case "{":
				var value = {};
				this._EatWhiteSpace(file);
				while ((c = this._ReadStr(file, 1)) != "}")
				{
					this._Rewind(file, 1);
					var n = this._ReadUntilWhitespace(file);
					this._EatWhiteSpace(file);
					value[n] = this._LoadObject(file);
				}
				this._EatWhiteSpace(file);
				break;
			default:
				if (!fc) return;
				if (fc.charCodeAt(0) >= '0'.charCodeAt(0) && fc.charCodeAt(0) <= '9'.charCodeAt(0))
				{
					var value = parseInt(fc + this._ReadUntilWhitespace(file));
					this._EatWhiteSpace(file);
				}
				else
				{
					if (fc == false) return;
					Abort("Unexpected " + fc);
				}
				break;
		}
		return value;
				
	},
	
	_ReadUntilWhitespace: function(file)
	{
		var str = "";
		while (" \t\r\n".indexOf(c = this._ReadStr(file, 1)) < 0 && c !== false)
		{
			str += c;
		}
		return str;
	},
	
	
	// oops also removes comments lol!
	_EatWhiteSpace: function(file)
	{
		if (file.getPosition() >= file.getSize()) return;
		while (" \t\r\n#".indexOf(c = this._ReadStr(file, 1)) >= 0 && c !== false)
		{
			if (c == "#")
			{
				while ((c = this._ReadStr(file, 1)) != "\n")
				{
					if (c === false) return;
				}
				this._Rewind(file, 1);
			}
			// eat eat eat
		}
		this._Rewind(file, 1);
	},
	
	_ReadStr: function(file, amount)
	{
		if (file.getPosition() >= file.getSize()) return false;
		return CreateStringFromByteArray(file.read(amount));
	},
	
	_Rewind: function(file, amount)
	{
		file.setPosition(file.getPosition() - amount);
	}
}