function FadeInFromTop()
{
	this.yp = -72;
	this.Completed = false;
	this.black = CreateColor(0, 0, 0);
	this.transparent = CreateColor(0, 0, 0, 0);
	this.Update = function()
	{
		this.yp += 8;
		if (this.yp >= 310)
		{
			this.Completed = true;
		}
	}
	this.Render = function()
	{
		GradientRectangle(0, this.yp, 320, 72, this.transparent, this.transparent, this.black, this.black);
		Rectangle(0, this.yp+72, 320, 240-this.yp-72, this.black);
	}
}

function FadeOutFromTop()
{
	this.yp = -48;
	this.Completed = false;
	this.black = CreateColor(0, 0, 0);
	this.transparent = CreateColor(0, 0, 0, 0);
	this.Update = function()
	{
		this.yp += 8;
		if (this.yp >= 310)
		{
			this.Completed = true;
		}
	}
	this.Render = function()
	{
		GradientRectangle(0, this.yp, 320, 48, this.black, this.black, this.transparent, this.transparent);
		Rectangle(0, 0, 320, this.yp, this.black);
	}
}

function FadeOut(oc)
{
	this.alpha = 0;
	this.black = CreateColor(0, 0, 0, 0);
	this.Completed = false;
	if (oc) this.oc = CopyColor(oc);
	else this.oc = false;
	this.Update = function()
	{
		this.alpha += 12;
		if (this.alpha < 255)
		{
			this.black.alpha = this.alpha;
		}
		else
		{
			this.Completed = true;
		}
	}
	this.Render = function()
	{
		if (this.oc) Rectangle(0, 0, 320, 240, this.oc);
		Rectangle(0, 0, 320, 240, this.black);
	}
}

function FadeIn()
{
	this.alpha = 255;
	this.black = CreateColor(0, 0, 0);
	this.Completed = false;
	this.Update = function()
	{
		this.alpha-=12;
		if (this.alpha > 0)
		{
			this.black.alpha = this.alpha;
		}
		else
		{
			this.Completed = true;
		}
	}
	this.Render = function()
	{
		Rectangle(0, 0, 320, 240, this.black);
	}
}

function ColorSlide(c)
{
	this.C = CopyColor(c);
	this.falpha = c.alpha;
	this.alpha = 0;
	this.Completed = false;
	this.Render = function()
	{
		Rectangle(0, 0, 320, 240, this.C);
	}
	this.Update = function()
	{
		this.alpha += 12;
		if (this.alpha >= this.falpha)
		{
			this.alpha = this.falpha;
			this.Completed = true;
		}
		this.C.alpha = this.alpha;
	}
}

function ColorSlideOut(c)
{
	this.C = CopyColor(c);
	this.falpha = 0;
	this.alpha = c.alpha;
	this.Completed = false;
	this.Render = function()
	{
		Rectangle(0, 0, 320, 240, this.C);
	}
	this.Update = function()
	{
		this.alpha -= 12;
		if (this.alpha <= this.falpha)
		{
			this.alpha = this.falpha;
			this.Completed = true;
		}
		this.C.alpha = this.alpha;
	}
}