/***************************************************
 * FINAL FANTASY V ENGINE                          *
 * A GAME BY MCBOB                                 *
 ***************************************************
 * All this code (apart from noted exceptions) was *
 * written by me. You may steal it if you ask me   *
 * first. If you do not I reserve the right to eat *
 * your firstborn.                                 *
 *                                                 *
 * However, you may feel free to learn from it,    *
 * although I barely comment and generally don't   *
 * code 'pretty' code unless I am in a pretty code *
 * mood. This probably has loads of hacks in it,   *
 * and it's entirely convoluted. I suggest staying *
 * away from Battle.js, for example.               *
 ***************************************************
 * Enjoy.                                   ~mcbob *
 ***************************************************/

// use compressed scripts?
var compressed = false;

// load progress
var progress = 0;

// don't load these files in the fileloader
var dontLoad = ["game.js", "Font.js", "Common.js", "Data.js", "Setup.js", "Decompress.js"];
if (compressed) for (var i = 0; i < dontLoad.length; i++) { dontLoad[i] = dontLoad[i] + ".c"; }

if (compressed)
	var scripts = GetFileList("scripts.c");
else
	var scripts = GetFileList("scripts");
if (compressed)
{

	RequireScript("Decompress.js");
	progress++;
	s = new Decompress("../scripts.c/Common.js");
	eval(s.stream);
	progress++;
	var s = new Decompress("../scripts.c/Font.js");
	eval(s.stream);
	progress++;
	LoadScreen(progress, scripts.length, "Loading Data.js...");
	s = new Decompress("../scripts.c/Data.js");
	eval(s.stream);
	progress++;
}
else
{
	RequireScript("Font.js");
	RequireScript("Common.js");
	RequireScript("Data.js");
	RequireScript("Decompress.js");
}

Font.Message.setColorMask(CreateColor(255,255,255,190));


for (var i = 0; i < scripts.length; i++)
{
	var dl = false;
	for (var j = 0; j < dontLoad.length; j++)
	{
		if (dontLoad[j] == scripts[i])
		{
				dl = true;
			break;
		}
	}
	if (dl) continue;
	LoadScreen(progress, scripts.length, "Loading " + scripts[i] + "...");
	FlipScreen();
	if (!compressed)
	{
		RequireScript(scripts[i]);		
	}
	else
	{
		var ndn = scripts[i].substr(0,scripts[i].length-2);
		var s = new Decompress("../scripts.c/" + ndn);
		eval(s.stream);
	}
	progress++;
}

LoadScreen(progress, scripts.length, "Loading Setup.js...");

FlipScreen();

if (compressed)
{
	var s = new Decompress("../scripts.c/Setup.js");
	eval(s.stream);
}
else
{
	RequireScript("Setup.js");
}
var fo = Screen.Attach(new FadeOut());

while (!fo.Completed)
{
	LoadScreen(1, 1, "", true);
	Screen.Frame();
}

Screen.Detach(fo);
Font.Message.setColorMask(Color.White);
function game()
{
	Map.Change("intro.rmp");
}

function Title()
{
	Map.HUD.Visible = false;
	Screen.NeverRenderMap = true;
	var title = new TitleScreen();
	Screen.Attach(title);
	Screen.Input(title);
	title.Init();
	Screen.Attach(new FadeIn()).Monitor = true;
	while (!title.Completed)
	{
		Screen.Frame();
	}
	var fo = Screen.Attach(new FadeOut());
	while (!fo.Completed) Screen.Frame();
	Screen.Detach(fo);
	Screen.Detach(title);	
	Map.Change("worldmap.rmp");
	AttachCamera("hero");
	Map.FadeIn();
}